Bug 25716 - 90secondportraits, duckmarines, and iyfct do not start, they require love 0.10 API
Summary: 90secondportraits, duckmarines, and iyfct do not start, they require love 0.1...
Status: ASSIGNED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal major
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords: feedback
: 25717 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-11-21 11:12 CET by José Jorge
Modified: 2021-08-17 15:52 CEST (History)
1 user (show)

See Also:
Source RPM: 90secondportraits, duckmarines, iyfct
CVE:
Status comment:


Attachments

Description José Jorge 2019-11-21 11:12:03 CET
After a window saying that the game is done for 0.10 version of LOVE, while we have 11.2, I get this crash:


live@localhost ~]$ 90secondportraits 
AL lib: (WW) GetSymbol: Failed to load jack_error_callback: /lib64/libjack.so.0: undefined symbol: jack_error_callback
AL lib: (WW) jack_msg_handler: Cannot connect to server socket err = No such file or directory
AL lib: (WW) jack_msg_handler: Cannot connect to server request channel
AL lib: (WW) jack_msg_handler: jack server is not running or cannot be started
AL lib: (WW) jack_msg_handler: JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
AL lib: (WW) jack_msg_handler: JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
AL lib: (WW) ALCjackBackendFactory_init: jack_client_open() failed, 0x11
AL lib: (WW) alc_initconfig: Failed to initialize backend "jack"
This game indicates it was made for version '0.10.0' of LOVE.
It may not be compatible with the running version (11.2).
LOVE - Warning: Preferences.lua:9: Using deprecated function love.filesystem.exists (replaced by love.filesystem.getInfo)
Preference file "preferences" not found
Error: slam.lua:58: bad argument #2 to 'newInstance' (string expected, got nil)
stack traceback:
        hump/gamestate.lua:84: in function 'handler'
        [string "boot.lua"]:637: in function <[string "boot.lua"]:633>
        [C]: in function 'newInstance'
        slam.lua:58: in function 'play'
        Sound.lua:18: in function 'music'
        main.lua:43: in function 'load'
        main.lua:89: in function <main.lua:79>
        [C]: in function 'xpcall'
        [string "boot.lua"]:650: in function <[string "boot.lua"]:639>
        [C]: in function 'xpcall'
Comment 1 Lewis Smith 2019-11-21 16:26:18 CET
I have installed & tried this, exactly the same result as above.
 90secondportraits-1.01b-2.mga7
 love-11.2-1.mga7

Assigning to the registered maintainer.

Severity: critical => major
Assignee: bugsquad => rverschelde
Source RPM: 90secondportraits => 90secondportraits-1.01b-2.mga7.src.rpm

Comment 2 Aurelien Oudelet 2021-07-06 13:15:06 CEST
Mageia 7 is EOL since July 1st 2021.
There will not have any further bugfix for this release.

You are encouraged to upgrade to Mageia 8 as soon as possible.

@reporter, if this bug still apply with Mageia 8, please let us know it.

@packager, if you work on the Mageia 7 version of your package, please check the Mageia 8 package if issue is also present. In this case, please fix the Mageia 8 version instead.

This bug report will be closed OLD if there is no further notice within 1st September 2021.
Comment 3 Rémi Verschelde 2021-07-06 14:51:23 CEST
This is still valid in Cauldron, the package requires love 0.10 which we no longer provide. There's a number of other ~2016 love games that I packaged which have the same compatibility issue.

Status: NEW => ASSIGNED
Version: 7 => Cauldron

Comment 4 Rémi Verschelde 2021-07-06 15:17:41 CEST
Same issue with duckmarines and iyfct, I'll consolidate here.

Summary: 90secondportraits does not start => 90secondportraits, duckmarines, and iyfct do not start, they require love 0.10 API
Source RPM: 90secondportraits-1.01b-2.mga7.src.rpm => 90secondportraits, duckmarines, iyfct

Comment 5 Rémi Verschelde 2021-07-06 15:17:56 CEST
*** Bug 25717 has been marked as a duplicate of this bug. ***
Comment 6 Rémi Verschelde 2021-07-06 15:29:37 CEST
Fixed in Cauldron with:

love0.10-0.10.2-1.mga9
90secondportraits-1.01b-4.mga9
duckmarines-1.0c-5.mga9
iyfct-1.02-6.mga9


Update for Mageia 8:

Advisory:
=========

Updated 90secondportraits, duckmarines, and iyfct packages fix LÖVE 0.10 dependency

  This update provides the love0.10 compatibility package for the LÖVE 0.10 API
  needed by the following games: 90secondportraits, duckmarines, and iyfct.

  The three game packages are updated to track the new love0.10 dependency,
  making them usable again.

SRPMs in core/updates_testing:
==============================

love0.10-0.10.2-1.mga8
90secondportraits-1.01b-3.1.mga8
duckmarines-1.0c-4.1.mga8
iyfct-1.02-5.1.mga8

RPMs in core/updates_testing:
=============================

love0.10-0.10.2-1.mga8
90secondportraits-1.01b-3.1.mga8
duckmarines-1.0c-4.1.mga8
iyfct-1.02-5.1.mga8

Assignee: rverschelde => qa-bugs

Thomas Backlund 2021-07-06 15:41:49 CEST

Version: Cauldron => 8

Comment 7 Thomas Andrews 2021-07-16 15:29:44 CEST
Installed the games and confirmed the issue. Downloaded the above packages with qarepo, but when I went to update them, I got a message that they all have missing signatures.

CC: (none) => andrewsfarm

Thomas Andrews 2021-07-16 15:30:13 CEST

Keywords: (none) => feedback

Comment 8 Thomas Andrews 2021-08-17 15:52:42 CEST
It's been over a month, and still the missing signatures problem has not been addressed. 

Can't we do something about that? I don't doubt that the problem has been fixed, but without the signatures I can't really do a fully valid test to confirm that.

Note You need to log in before you can comment on or make changes to this bug.